% !TeX spellcheck = en_GB
The dataset that will be analysed in this report is based on the paper Human Activity Recognition Using Smartphones by Reyes-Ortiz et al \cite{misc_human_activity_recognition_using_smartphones_240}. Inside the dataset are recordings of various physical activities of 30 subjects measured using a smartphone with embedded accelerometer and gyroscope sensors.  For the dataset two versions can be found online, the original dataset which contains already preprocessed data\footnote{\url{https://archive.ics.uci.edu/dataset/240/human+activity+recognition+using+smartphones}} and a later uploaded version with the actual raw data\footnote{\url{https://github.com/anas337/Human-Activity-Recognition-Using-Smartphones.github.io}}. For the analysis in this report the raw data is used.

The goal of this project is to classify the activity executed by the user based on the measurements obtained by the sensors.

Looking at the dataset itself there are 12 different activities, shown with their count of appearances in figure \ref{img:bar_chart_count_activities}. This analysis only focuses on classifying the first six activities namely walking, walking upstairs, walking downstairs, sitting, standing, laying. Transitions between activities are removed from the data.

\begin{figure}[H]
	\centering
	\includegraphics[width=1.0\textwidth]{images/bar_chart_count_activities.png}
	\caption{Frequency of each activity in the dataset}
	\label{img:bar_chart_count_activities}
\end{figure}


The accelerometer and gyroscope measurements for each subject are each supplied in a single file and measured at $50~Hz$. Each file contains the x, y and z axis measurements of the sensor.  An additional file supplies the timestamps for each activity. Figure \ref{img:line_chart_all_data_user_1_experiment_1} shows exemplary the full measurement of user 1 in experiment 1, figure \ref{img:line_chart_walking_user_1_exp_1.png} shows the walking section.


\begin{figure}[H]
	\centering
	\includegraphics[width=0.8\textwidth]{images/line_chart_all_data_user_1_experiment_1.png}
	\caption{Accelerometer and gyroscope data for user 1 experiment 1}
	\label{img:line_chart_all_data_user_1_experiment_1}
\end{figure}

\begin{figure}[H]
	\centering
	\includegraphics[width=0.8\textwidth]{images/line_chart_walking_user_1_exp_1.png}
	\caption{Accelerometer and gyroscope data for walking section user 1 experiment 1}
	\label{img:line_chart_walking_user_1_exp_1.png}
\end{figure}


In total 856 time series of various length can be used to train and test the classifier which can be seen as a sufficient sized dataset. Whether the data and therefore the final model is also representative for new data is questionable. For being able to decide this more information about the test subjects would be required, for example their age, and the environment where those measurements were acquired.